=== debian/changelog ===
ltsp (5.5.1-1ubuntu2) trusty; urgency=medium

  * Cherry-pick upstream bugfixes:
    - r2557: Drop "plymouth:force-splash vt.handoff=7" from the cmdline
      as they interfere with LTSP debugging and don't provide any improvement
      as LTSP's initrd doesn't contain plymouth anymore and we don't get
      flicker free X startup anyway.
    - r2558: Increase the udhcp timeout from 4 to 10 seconds, this fixes
      boot on some slower hardware.
    - r2559: Fix ltsp-update-image --revert.
    - r2560: More udhcp fix to pick up interfaces which show up after
      the script has started.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 14 Apr 2014 09:24:05 -0400

ltsp (5.5.1-1ubuntu1) trusty; urgency=medium

  * Pick up upstream bugfix release for the LTS.
  * Merge from Debian unstable. Remaining changes:
    - Change default color depth from 16bit to 24bit as 16bit just doesn't
      work when using unity with llvmpipe. This is a workaround and
      alternatives should be looked at to get back to 16bit if possible.
    - Add 40-ltsp as 40-ltsp-client and 40-ltsp-server in Xsession.d for both
      ltsp-client-core and ltsp-server. (LP: #987726)
    - Ship a distro-specific dhcpd.conf using the good old
      192.168.0.0/24 subnet instead of upstream's default 192.168.67.0/24.
    - Add fat client support to the udeb.
    - Have the udeb detect Ubuntu flavours with only main and restricted.
    - Fix race condition during image compression in udeb.
    - Patch dhcpd.conf on the fly to match current architecture.
    - Create a squashfs image by default and configure network in d-i.
    - Install ltsp-cluster.
    - Add code for second stage Edubuntu LTSP install.
    - Change watch file to monitor Debian.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 14 Mar 2014 09:25:34 -0400

ltsp (5.5.1-1) unstable; urgency=medium

  * New upstream version:
    - Create kernel flavor symlinks in TFTP dir, not in the LTSP chroot's
      /boot dir. This works around issues in grub that may break the default
      boot option for the server!

    - ltsp-server:
      + ltsp-build-client: Add plugin to support -updates mirrors.
      + Support the --version option in all server tools.

    - ltsp-client:
      + Run custom commands in init-ltsp using INIT_COMMAND_XX.
      + nbd-disconnect:
        - Poweroff/reboot are reported to work in more cases than sysrq.
        - Don't hardcode /dev/nbd0 for root.
      + Allow any number of digits to some lts.conf directives.
      + initramfs-tools scripts: Check when the NICs are available and up,
        rather than relying on wait_for_udev.

  [ Vagrant Cascadian ]
  * ltsp-server:
    - Do not install nbdrootd (deprecated in wheezy).
    - Remove Depends on update-inetd, no longer used.

  * ltsp-client/ltsp-client-core: 
    - Drop Depends/Suggests on mdetect, which is no longer used.
    - Drop Depends on mkelfimage and mknbi, which are deprecated upstream.
    - Only Recommend acpi-support-base when building on Debian.

  * Update to debhelper compat level 9.
  * Set vendor and version when building manpages.

  [ Alkis Georgopoulos ]
  * ltsp-client: X-Ubuntu-Recommend the font packages, declare some
      alternate package names for older versions, and lower zram-config
      to X-Ubuntu-Suggests, as NBD_SWAP is much better for LTSP clients.
  * Remove debian/patches/initramfs-busybox-sleep, applied upstream.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 26 Feb 2014 20:55:34 -0800

ltsp (5.5.0-1ubuntu1) trusty; urgency=medium

   * Merge from Debian unstable. Remaining changes:
    - Change default color depth from 16bit to 24bit as 16bit just doesn't
      work when using unity with llvmpipe. This is a workaround and
      alternatives should be looked at to get back to 16bit if possible.
    - Add 40-ltsp as 40-ltsp-client and 40-ltsp-server in Xsession.d for both
      ltsp-client-core and ltsp-server. (LP: #987726)
    - Ship a distro-specific dhcpd.conf using the good old
      192.168.0.0/24 subnet instead of upstream's default 192.168.67.0/24.
    - Add fat client support to the udeb.
    - Have the udeb detect Ubuntu flavours with only main and restricted.
    - Fix race condition during image compression in udeb.
    - Patch dhcpd.conf on the fly to match current architecture.
    - Create a squashfs image by default and configure network in d-i.
    - Install ltsp-cluster.
    - Add code for second stage Edubuntu LTSP install.
    - Change watch file to monitor Debian.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 02 Jan 2014 11:51:05 +0100

ltsp (5.5.0-1) unstable; urgency=medium

  * New upstream version:
    - Write resolvconf configuration to /etc/ rather than /run, as the
      init script wipes out /run after writing to it (Closes: #701647).

    - Add support for modelines (Closes: #591608).
      Based on patch by Andre Majorel.

    - Allow overriding hard-coded "server" alias in /etc/hosts with
      $SERVER_NAME. Thanks to Wolfgang Schweer.
      (Partially addresses: #613988).

    - ltsp-update-kernels: Allow for editable pxelinux.cfg/default, by only
      symlinking to the autogenerated pxelinux.cfg/ltsp. Replacing the symlink
      with a file can now be done without it getting overwritten.

    - update-kernels: Create unversioned symlinks for each kernel variant.

    - ltsp-localappsd: Replace "xatomwait" with "xprop -spy".

    - Increase NBD_SWAP_THRESHOLD default values.

    - nbd-disconnect: Exit if not running NBD root.

    - ltsp-build-client: Switch default mirror to http.debian.net.

    - initramfs-tools scripts:
      + Basic support for AoE root. 
      + Support for mounting an image file over NFS.
      + udhcpc: use correct case for IP kernel parameter.

  [ Alkis Georgopoulos ]
  * Remove packaging to build and install xatomwait.

  [ Vagrant Cascadian ]
  * debian/rules: Switch to using dpkg-vendor instead of lsb_release for
    detecting vendor.

  * ltsp-client-core:

