## ltsp 5.5.4

=== debian/changelog ===
ltsp (5.5.4-4) unstable; urgency=medium

  * ltsp-client-builder: Fix mounting of "cdrom" during by using the
    device of already mounted "cdrom" images. Tested with both CD and USB
    installs, and systems with multiple CD drives.  Thanks to Wolfgang
    Schweer (Closes: #540990, #780591).

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 31 Mar 2015 16:54:20 -0700

ltsp (5.5.4-3) unstable; urgency=medium

  * Add debian/ltsp-client-core.maintscript to remove obsolete
    /etc/init.d/ltsp-client-setup and /etc/default/ltsp-client-setup
    leftover from squeeze upgrades (Closes: #777184). Thanks to Andreas
    Beckmann!

  * Apply patch from upstream to no longer remove nouveau_vieux driver on
    boot, which is terribly hackish and no longer appropriate with current
    versions of LDM (Closes: #767764).

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 12 Feb 2015 14:22:07 -0800

ltsp (5.5.4-2) unstable; urgency=medium

  * ltsp-update-kernels/update-kernels: Fix kernel version sorting that
    results in clients booting obsolete kernels (Closes: #771470).

  * update-kernels: Suppress mkimage output, as it prevents linux-image
    packages from being removed successfully (Closes: #771728).

  * ltsp-build-client: Remove plugin that needlessly modifies pulseaudio
    configuration files.

  * ltsp-update-kernels: Remove dtb files when corresponding kernel
    version is no longer present.

  * debian/copyright: Remove outdated VCS information.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 01 Dec 2014 15:22:01 -0800

ltsp (5.5.4-1) unstable; urgency=medium

  * New upstream version:
    - Support for disabling systemd services with RM_SYSTEM_SERVICES.
      (Closes: #765065)

    - Disable cups-browsed and ModemManager services by default.
      (Closes: #761891, #765065).

    - Set up hostname.domain in /etc/hosts (LP: #1093088).

    - Fix use of SHUTDOWN_TIME with LDM to use ltsp-logout-action instead.
      (LP: #604908).

    - Fix ssh, xdmcp and telnet screen scripts by checking for empty
      argument (LP: #1020113, #1175618).

    - Default to "server" in ssh screen script so that ssh_known_hosts
      file generated by ltsp-update-sshkeys will match.

    - ltsp-build-client: Do not use full path to libeatmydata.so.
      (Closes: #765694)

    - Unset temporary directory variables to avoid problems when directory
      is missing inside the chroot (Closes: #765443).

    - update-kernels: Update ARM code to generate a generic bootscript.

  * debian/control:
    - Add u-boot-tools to ltsp-client-core Depends on armhf/armel.
    - Update Standards-Version to 3.9.6, no changes needed.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 21 Oct 2014 23:32:58 -0700

ltsp (5.5.3-1) unstable; urgency=medium

  * New upstream version:
    - ltsp-build-client:
      + Drop ltsp-build-client mount-cdrom plugin.
      + Default to armmp kernel variant for armhf architecture.
      + Rename mount-proc plugin to mount-sys, which allows the mount-proc
        common plugin to mount the proc filesystem (Closes: #761401). 
        Thanks to Petter Reinholdtsen for the report.

    - Remove support for screen scripts (kiosk, xfreerdp, xterm) without
      xinitrc, it has been shipped in LTSP for quite some time.

    - Disable listening on tcp in several screen scripts (kiosk, xfreerdp,
      xterm). Thanks to Denis Croombs for reporting the issue!

    - xfreerdp screen script: Test for empty arguments to ensure a
      reasonable default.
  
    - update-kernels: Clarify location of update-kernels.conf in generated
      pxelinux files (Closes: #760312). Thanks to Olaf Klein for the report.

    - init-ltsp.d/05-getltsconffile:
      + Allow specifying alternate lts.conf file location with
        ltsp.ltsconf= boot prompt option. Thanks to Juan Antonio Martinez
        for the patch! LP: #1339671.
      + Use detect_arch function as a fallback when a filename is not
        specified.

    - Cache variables set by ltsp.* boot prompt options, so that later
      scripts make use of them.

  * ltsp-server/ltsp-server-standalone: Prefer mate-desktop-environment
    over gnome-session.

  * ltsp-client-builder: Mount /media/cdrom in the target if not already
    mounted (Closes: #758500).

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 15 Sep 2014 12:34:42 -0500

ltsp (5.5.2-1) unstable; urgency=medium

  * New upstream version:
    - Add support for newer versions of syslinux/pxelinux.
    - Support LDM feature to hash passwords for use with
      localapps and fat clients.
    - ltsp-build-client: Allow setting --locale as simply the locale,
      rather than requiring also specifying the encoding.
    - initramfs udhcp hooks:
      + bring up NICs that become available progressively.
      + timeout for ip link up from 4 seconds to 10.
    - Fix ltsp-update-image --revert.
    - screen.d/kiosk: Pass KIOSK_OPTIONS as an environment variable.
      (Closes: #743867)

  * ltsp-client-core: Update syslinux/pxelinux dependencies:
    - Add syslinux-common
    - Remove syslinux
    - Add pxelinux, with fallback for older versions of syslinux-common.

  * ltsp-server/ltsp-client-core:
    - Prefer iproute2 over iproute transitional package.
      (Closes: #753746, #753749)

  * debian/rules:
    - Use dpkg-vendor --derives-from Ubuntu to set VENDOR, to better handle
      Debian/Ubuntu derivatives (Closes: #741143). Thanks to Peter Green.

  * ltsp-client-builder:
    - Add "--updates-mirror none", which is needed when CD/USB sticks do not
      contain an updates-mirror.
    - Drop --mount-cdrom option, as it is no longer needed (Closes: #606313).

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 05 Aug 2014 16:19:36 -0700
