=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ltsp
 Section: misc
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: LTSP Debian Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>
+Maintainer: LTSP Debian Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>
 Uploaders: Vagrant Cascadian <vagrant@debian.org>
 Build-Depends: automake | automaken,
   bison,
@@ -15,7 +14,7 @@
   pkg-config,
   po-debconf,
   help2man
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Bzr: nosmart+http://anonscm.debian.org/bzr/pkg-ltsp/ltsp-debian-packaging/
 Vcs-Browser: http://anonscm.debian.org/loggerhead/pkg-ltsp/ltsp-debian-packaging/files
 Homepage: http://ltsp.org
@@ -25,7 +24,7 @@
   debconf-utils,
   debootstrap (>= 1.0.30),
   gettext-base,
-  iproute | freebsd-net-tools,
+  iproute2 | iproute | freebsd-net-tools,
   lsb-release,
   openssh-client,
   python (>= 2.4),
@@ -38,7 +37,7 @@
   squashfs-tools,
   tftpd-hpa | atftpd | dnsmasq (>= 2.41)
 Suggests: audiooss,
-  gnome-session | x-session-manager | x-window-manager,
+  mate-desktop-environment | gnome-session | x-session-manager | x-window-manager,
   isc-dhcp-server | dhcp3-server | dnsmasq,
   ldm-server,
   libasound2-plugins,
@@ -65,7 +64,7 @@
 X-Debian-Depends: nfs-kernel-server
 Depends: ${misc:Depends},
   ${vendor:Depends},
-  gnome-session | x-session-manager | x-window-manager,
+  mate-desktop-environment | gnome-session | x-session-manager | x-window-manager,
   isc-dhcp-server | dhcp3-server | dnsmasq,
   ldm-server,
   libasound2-plugins,
@@ -96,14 +95,16 @@
   ${vendor:Depends},
   console-setup,
   initramfs-tools (>= 0.99) [linux-any],
-  iproute,
+  iproute2 | iproute,
   kbd [linux-any] | console-tools [linux-any],
   lsb-base,
   lsb-release,
   nbd-client (>= 1:2.9.25-2) [linux-any],
   python,
-  syslinux [i386 amd64],
+  pxelinux [i386 amd64] | syslinux-common (<= 3:6) [i386 amd64],
+  syslinux-common [i386 amd64], 
   tftp-hpa,
+  u-boot-tools [armhf armel],
   yaboot[powerpc]
 Suggests: alsa-utils,
   cron,
