=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 DEB_HOST_ARCH_OS = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
-VENDOR ?= $(shell dpkg-vendor --query Vendor)
+VENDOR ?= $(shell dpkg-vendor --derives-from Ubuntu && echo Ubuntu || echo Debian)
 ifeq (Ubuntu,$(VENDOR))
 	INSTALLUDEV_OPTS="--priority=80"
 endif
@@ -70,12 +70,6 @@
 	# ltsp-client-vendor-functions... no, really!
 	install -m 644 server/Debian/share/ltsp/ltsp-server-vendor-functions $(CURDIR)/debian/ltsp-client-core/usr/share/ltsp/ltsp-client-vendor-functions
 
-	# install 40-ltsp in both ltsp-client-core and ltsp-server
-	mkdir -p $(CURDIR)/debian/ltsp-client-core/etc/X11/Xsession.d/
-	install -m 644 $(CURDIR)/debian/40-ltsp $(CURDIR)/debian/ltsp-client-core/etc/X11/Xsession.d/40-ltsp-client
-	mkdir -p $(CURDIR)/debian/ltsp-server/etc/X11/Xsession.d/
-	install -m 644 $(CURDIR)/debian/40-ltsp $(CURDIR)/debian/ltsp-server/etc/X11/Xsession.d/40-ltsp-server
-
 	# install appropriate update-kernels.conf
 	mkdir -p $(CURDIR)/debian/ltsp-client-core/etc/ltsp/
 	install -m 644 client/$(VENDOR)/etc/ltsp/update-kernels.conf $(CURDIR)/debian/ltsp-client-core/etc/ltsp/update-kernels.conf
