## ltsp 5.5.5

=== debian/changelog ===
ltsp (5.5.5-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 12 Nov 2015 22:14:45 -0600

ltsp (5.5.5-1) unstable; urgency=medium

  * New upstream version:
  
  [ Vagrant Cascadian ]
  * ltsp-build-client: Disable security and updates mirrors when setting
    DIST to "unstable" (Closes: #509643).

  * ltsp-build-client, update-kernels: Default to using NBD with squashfs
    image to workaround incompatibilities with overlay FS and NFS.
    
  * ltsp-config:
    - Add support for configuring nfs exports.
    - respect --overwrite with ltsp-config nbd-server (LP: #1487333).
      Thanks to Fotis Tsamis for the patch.
    - Remove support for editing /etc/nbd-server/config, as the nbd-server
      package should handle this itself now.
    - Add --quiet option and use from ltsp-update-image.
    - Fix typo stopping nbd-server.

  * ltsp-update-kernels: Remove .dtb files when kernel version is no
    longer installed.

  * initramfs-tools hooks: Add support for the "overlay" filesystem in
    mainline linux.  Unfortunately, it does not appear to work with NFS as
    a backend, but does work with NBD and NFS+squashfs image.
    
  * init-ltsp.d:
    - Fix typo in set-time which broke NTP server configuration.
    - Do not disable screen locking when LDM_PASSWORD_HASH is set.
      (LP: #1444693).

  * Fix bug in "xinitrc" wrapper to allow it to break out of the running
    loop (LP: #1468630). Thanks to alexfk for the report!

  * kiosk: Add support for chromium and fullscreen google-chrome.
    (LP: #1422150).

  [ Alkis Georgopoulos ]
  * init-ltsp.d: Disable suspend and hibernate on LTSP clients.
  * init-ltsp.d: work around `su -` not putting /sbin in the PATH.
  * init-ltsp.d: Prevent gnome-keyring from filling up the disk with temp
    files.

  * ltsp-localapps, ltsp-remoteapps: Replace 8s with 8u in xprop calls,
    for unicode URIs (LP: #1451915).
    
  * initramfs-tools hooks: move udhcpc request message inside the loop.
  
  * ltsp-config:
    - Create lts.conf when TFTP/ltsp/ARCH doesn't exist (LP: #1483573).
    
    - Stop and start nbd-server, as systemd may not realize when
      nbd-server is inactive.

  * ltsp-update-image:
    - properly support overlay, overlayfs and aufs in run_cleanup.
      (LP: #1352038).
    - cleanup.d: Replace truncate with tee to avoid overlayfs issues.
      (LP: #1494660).

  * Replace [A-Za-z] with [:alpha:] to avoid locale issues (LP: #1491066).
  
  * Prevent jetpipe from dying after nmap scan (LP: #1273680).
  
  * localapps:
    - Use an IP for CUPS ServerName to avoid rejected connections.
    - Background the CUPS_SERVER DNS lookup in case it takes a long time.

  * ltsp-update-kernels: Correctly chmod kernels when e.g. umask=0077.
    (LP: #1502824).


  * Debian packaging:
  
  [ Vagrant Cascadian ]
  * ltsp-client: Update X-Ubuntu-Recommends to use guru-fonts instead of
    obsoleted ttf-punjabi-fonts.
  * ltsp-client-core: Install getltscfg-cluster manpage.

  [ Alkis Georgopoulos ]
  * Remove upstreamed patches.
    - 0004-Debian-Remove-ltsp-build-client-plugin-pulseaudio-tw.patch
    - 0013-ltsp-update-kernels-Remove-.dtb-files-when-kernel-ve.patch
    - 0015-Correctly-sort-kernel-FLAVOR-in-increasing-order-and.patch
    - 0016-update-kernels-Fix-issues-with-kernel-version-varian.patch
    - 0017-Debian-update-kernels.conf-Prefer-586-over-486-in-fo.patch
    - 0018-update-kernels-Quiet-down-mkimage-output-when-genera.patch
    - 0020-Drop-hack-to-remove-nouveau_vieux-driver-as-newer-ve.patch

  [ Vagrant Cascadian ]
  * ltsp-server-standalone:
    - Use different desktop environment on Ubuntu.
    - Fix multiple X-Debian-Depends entries.
  * Remove getltscfg-makefile-flags patch, applied upstream.
  * Add patch to disable swap encryption by default, as it simply hangs in
    Debian Stretch. Hopefully this is only temporary...

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 14 Oct 2015 10:50:29 -0700
