=== debian/control ===
--- 
+++ 
@@ -61,10 +61,8 @@
  LTSP stands for 'Linux Terminal Server Project'.
 
 Package: ltsp-server-standalone
-X-Debian-Depends: nfs-kernel-server
-Depends: ${misc:Depends},
-  ${vendor:Depends},
-  mate-desktop-environment | gnome-session | x-session-manager | x-window-manager,
+Depends: ${misc:Depends},
+  ${vendor:Depends},
   isc-dhcp-server | dhcp3-server | dnsmasq,
   ldm-server,
   libasound2-plugins,
@@ -77,6 +75,9 @@
   tftpd-hpa | atftpd | dnsmasq (>= 2.41),
   x11-utils,
   xauth
+X-Debian-Depends: nfs-kernel-server,
+  mate-desktop-environment | gnome-session | x-session-manager | x-window-manager
+X-Ubuntu-Depends: gnome-session | mate-desktop-environment | x-session-manager | x-window-manager
 Recommends: ltsp-docs
 Architecture: all
 Description: complete LTSP server environment
@@ -171,6 +172,7 @@
   xorg
 X-Ubuntu-Recommends: fonts-dejavu-core | ttf-dejavu-core,
   fonts-freefont-ttf | ttf-freefont,
+  fonts-guru,
   fonts-kacst-one,
   fonts-khmeros-core,
   fonts-lao,
@@ -179,7 +181,6 @@
   fonts-takao-pgothic,
   fonts-thai-tlwg | ttf-thai-tlwg,
   ttf-indic-fonts-core,
-  ttf-punjabi-fonts,
   ttf-ubuntu-font-family,
   ttf-wqy-microhei
 Recommends: ${vendor:Recommends}
