## ltsp 5.5.6

=== debian/changelog ===
ltsp (5.5.6-2ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable, remaining delta:
    - Edubuntu postinst change (used to install LTSP from Edubuntu live)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 10 Feb 2016 14:18:27 -0500

ltsp (5.5.6-2) unstable; urgency=medium

  * Add patch to avoid always checking weather the ltsp.pot file should be
    regenerated, which leads to unreprodicibility.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 08 Feb 2016 12:44:30 -0800

ltsp (5.5.6-1) unstable; urgency=medium

  * New upstream version.
    - ltsp-cluster: Don't unset SCREEN_NUM as then clients fail to boot.
      (LP: #1360595)
    - Use "sshfs -o disable_hardlink" to fix issues with gnome-keyring
      filling up the disk with temp files.
    - Create a pxelinux.cfg entry for memtest86+.bin.
    - Allow various lts.conf options to end with a description instead of
      a number.
    - Ubuntu: replace "quiet splash" with "forcepae".
    - Support automatic kernel/initrd updates on local media.
    - Use set_lts_var to correctly export LTSP_CLIENT_MAC.
    - Ubuntu: allow specifying KERNEL_ARCH in ltsp-build-client.

  * Do not update po files automatically, to allow package to build
    reproducibly.
  * ltsp-client-core: Add dbus to Recommends, to allow SCREEN scripts to
    work (Closes: #785636).  Thanks to Raphael RIGNIER.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 07 Feb 2016 11:30:52 -0800

ltsp (5.5.4-4ubuntu2) wily; urgency=medium

  * Re-order desktop environment list.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 13 Jul 2015 10:11:08 -0400

ltsp (5.5.4-4ubuntu1) wily; urgency=medium

  * Merge from Debian. Remaining changes:
   - Use fonts-guru instead of ttf-punjabi-fonts
   - Include the getltscfg-cluster manpage
   - Edubuntu support code in ltsp postinst

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 08 Jun 2015 11:33:04 +0200

ltsp (5.5.1-1ubuntu3) vivid; urgency=medium

  * Recommend fonts-guru instead of the superseded ttf-punjabi-fonts
    package.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 17 Mar 2015 07:19:00 -0700
