=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ltsp
 Section: misc
 Priority: extra
-Maintainer: LTSP Debian Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: LTSP Debian Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>
 Uploaders: Vagrant Cascadian <vagrant@debian.org>
 Build-Depends: automake | automaken,
   bison,
@@ -16,7 +17,7 @@
   help2man
 Standards-Version: 3.9.6
 Vcs-Bzr: nosmart+http://anonscm.debian.org/bzr/pkg-ltsp/ltsp-debian-packaging/
-Vcs-Browser: http://anonscm.debian.org/loggerhead/pkg-ltsp/ltsp-debian-packaging/files
+Vcs-Browser: https://anonscm.debian.org/loggerhead/pkg-ltsp/ltsp-debian-packaging/files
 Homepage: http://ltsp.org
 
 Package: ltsp-server
@@ -29,7 +30,6 @@
   openssh-client,
   python (>= 2.4),
   tcpd,
-X-Debian-Recommends: nfs-kernel-server
 Recommends: ${vendor:Recommends},
   nbd-server (>= 1:2.9.25-2),
   openbsd-inetd | inet-superserver,
@@ -75,7 +75,7 @@
   tftpd-hpa | atftpd | dnsmasq (>= 2.41),
   x11-utils,
   xauth
-X-Debian-Depends: nfs-kernel-server,
+X-Debian-Depends:
   mate-desktop-environment | gnome-session | x-session-manager | x-window-manager
 X-Ubuntu-Depends: gnome-session | mate-desktop-environment | x-session-manager | x-window-manager
 Recommends: ltsp-docs
@@ -127,7 +127,7 @@
   sshfs,
   x11-xserver-utils
 X-Debian-Recommends: acpi-support-base
-Recommends: ${vendor:Recommends}, procps, pciutils, dnsutils | knot-dnsutils
+Recommends: ${vendor:Recommends}, procps, pciutils, dnsutils | knot-dnsutils, dbus
 Breaks: ltsp-server (<< 5.3.7)
 Replaces: ltsp-server (<< 5.3.7)
 Architecture: any
