=== debian/changelog ===
ltsp (5.5.7-1ubuntu1) xenial; urgency=medium

  * Convert trigger to noawait (LP: #1780996)

 -- Brian Murray <brian@ubuntu.com>  Wed, 11 Jul 2018 15:03:51 -0700

ltsp (5.5.7-1) unstable; urgency=medium

  * New upstream version.
    - ltsp-update-image:
      + Exclude /tmp submounts (LP: #1557779).
      + Prevent the nautilus popup window for the tmpfs mount.

    - initramfs-tools hooks and scripts:
      + Ensure aoe module is always present.
      + Add PREREQ stanza to all initramfs scripts, otherwise they may
        execute on the running system.
      + Ensure udhcpc is busybox-static, not busybox-initramfs.
      + Avoid NBD timeouts in recent initramfs-tools (LP: #696435).
      + Disable resume on LTSP clients to avoid 5 sec delay.

    - Fix support for non-ASCII characters in lts.conf.
    - init-ltsp: Allow early logging to /dev/kmsg.
    - Don't default to NBD_SWAP=true when local swap was found.
    - ltsp-build-client: Select appropriate kernel package for i386.
    - Update services to remove for systemd.

  * debian/control: Update Standards-Version to 3.9.7, no changes.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 25 Mar 2016 14:56:39 -0700
