=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
   pkg-config,
   po-debconf,
   help2man
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Bzr: nosmart+http://anonscm.debian.org/bzr/pkg-ltsp/ltsp-debian-packaging/
 Vcs-Browser: https://anonscm.debian.org/loggerhead/pkg-ltsp/ltsp-debian-packaging/files
 Homepage: http://ltsp.org
