=== debian/rules ===
--- 
+++ 
@@ -38,9 +38,6 @@
 
 	# Using po specific Makefile to clean message catalogs
 	$(MAKE) -C po clean
-
-	# Debconf translation update
-	debconf-updatepo
 
 	chmod +x debian/bugs/ltsp-server/script
