## ltsp 5.5.8

=== debian/changelog ===
ltsp (5.5.8-1) unstable; urgency=medium

  * New upstream version:
    - Support ltsp.init=xxx instead of passing 'ltsp' to tag an LTSP
      client boot (LP: #1562911).
    - Use BOOT_IMAGE to ensure a default ROOTPATH and to determine
      lts.conf TFTP location (LP: #1594840).
    - ltsp-build-client:
      + Select 686 kernel on stretch and newer, as both 486
        and 586 variants are deprecated.
      + Fix use of --apt-keys when gnupg isn't present in the chroot.
        (Closes: #831409).
      + Support using comma-separated lists of packages for --pin-packages
        and --backports-packages.
    - Add man page for init-ltsp.
  * ltsp-client-core:
    - Add Depends on init, to ensure /sbin/init is present.
    - Install init-ltsp man page.
  * debian/rules:
    - Enable hardening options.
  * ltsp-server:
    - Recommend gnupg (Closes: #831409).
  * ltsp-server-standalone:
    - Depend on gnupg (Closes: #831409).
  * Update Standards-Version to 3.9.8, no changes.
  * Switched to git, update Vcs-Git and Vcs-Browser.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 06 Sep 2016 14:35:47 -0700
