=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ltsp
 Section: misc
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: LTSP Debian Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>
+Maintainer: LTSP Debian Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>
 Uploaders: Vagrant Cascadian <vagrant@debian.org>
 Build-Depends: automake | automaken,
   bison,
@@ -15,9 +14,9 @@
   pkg-config,
   po-debconf,
   help2man
-Standards-Version: 3.9.7
-Vcs-Bzr: nosmart+http://anonscm.debian.org/bzr/pkg-ltsp/ltsp-debian-packaging/
-Vcs-Browser: https://anonscm.debian.org/loggerhead/pkg-ltsp/ltsp-debian-packaging/files
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/ltsp.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ltsp.git/
 Homepage: http://ltsp.org
 
 Package: ltsp-server
@@ -31,6 +30,7 @@
   python (>= 2.4),
   tcpd,
 Recommends: ${vendor:Recommends},
+  gnupg,
   nbd-server (>= 1:2.9.25-2),
   openbsd-inetd | inet-superserver,
   openssh-server,
@@ -63,6 +63,7 @@
 Package: ltsp-server-standalone
 Depends: ${misc:Depends},
   ${vendor:Depends},
+  gnupg,
   isc-dhcp-server | dhcp3-server | dnsmasq,
   ldm-server,
   libasound2-plugins,
@@ -95,6 +96,7 @@
   ${shlibs:Depends},
   ${vendor:Depends},
   console-setup,
+  init,
   initramfs-tools (>= 0.99) [linux-any],
   iproute2 | iproute,
   kbd [linux-any] | console-tools [linux-any],
