=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 endif
 
 DEB_VERSION:=$(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
 	dh $@ --with autoreconf
