## ltsp 5.5.9

=== debian/changelog ===
ltsp (5.5.9-2) unstable; urgency=medium

  * Update NEWS.Debian to mention switch to NBD and disabling of encrypted
    swap by default.
  * Fix setting of FAT_CLIENT_DESKTOPS from configuration file. Thanks to
    Finn Andersen.
  * Prefer dnsmasq for DHCP and TFTP.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 09 Jan 2017 12:07:59 -0800

ltsp (5.5.9-1) unstable; urgency=medium

  * New upstream version, prepared with care in Ιωάννινα:
    [ Vagrant Cascadian ]
    - ltsp-build-client:
      + Use apt pinning by codename.
      + Handle apt keys specified by directory.
      + Remove plugin that needlessly configures /var/run and /var/lock to
        be mounted as tmpfs. Thanks to Wolfgang Schweer. (Closes: #839154)
      + Switch default mirror to deb.debian.org.
        Thanks to Wolfgang Schweer. (Closes: #840668)
      + Ensure /tmp has proper permissions when respecting TMP/TMPDIR
        variables. Thanks to Wolfgang Schweer. (Closes: #840667)
      + Ensure /etc/network exists before attempting to create the
        interfaces file.
    - Add support for OVERLAY_DIR, which is copied to the rootfs on boot.

    [ Alkis Georgopoulos ]
    - Initial multiseat support.
    - ltsp-update-image: Make it easier to run sshd on LTSP clients.
      (LP: #1324545)

  [ Vagrant Cascadian ]
  * Remove debian/watch file.
  * ltsp-client: Add versioned dependency on ltsp-client-core.
  * ltsp-server-standalone: Add versioned dependency on ltsp-server.
  * Add build dependency on libfl-dev. Thanks to Helmut Grohne.
    (Closes: #846439)

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 07 Dec 2016 00:02:18 +0200
