=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
   debhelper (>= 9),
   dh-autoreconf,
   flex,
+  libfl-dev,
   dctrl-tools,
   libpopt-dev,
   libx11-dev,
@@ -35,10 +36,10 @@
   openbsd-inetd | inet-superserver,
   openssh-server,
   squashfs-tools,
-  tftpd-hpa | atftpd | dnsmasq (>= 2.41)
+  dnsmasq (>= 2.41) | tftpd-hpa | atftpd,
 Suggests: audiooss,
   mate-desktop-environment | gnome-session | x-session-manager | x-window-manager,
-  isc-dhcp-server | dhcp3-server | dnsmasq,
+  dnsmasq | isc-dhcp-server | dhcp3-server,
   ldm-server,
   libasound2-plugins,
   ltsp-docs,
@@ -64,16 +65,16 @@
 Depends: ${misc:Depends},
   ${vendor:Depends},
   gnupg,
-  isc-dhcp-server | dhcp3-server | dnsmasq,
+  dnsmasq | isc-dhcp-server | dhcp3-server,
   ldm-server,
   libasound2-plugins,
   ltspfs,
-  ltsp-server,
+  ltsp-server (>= ${binary:Version}),
   nbd-server (>= 1:2.9.25-2),
   openbsd-inetd | inet-superserver,
   openssh-server,
   squashfs-tools,
-  tftpd-hpa | atftpd | dnsmasq (>= 2.41),
+  dnsmasq (>= 2.41) | tftpd-hpa | atftpd,
   x11-utils,
   xauth
 X-Debian-Depends:
@@ -160,7 +161,7 @@
   inputattach [!s390 !s390x] | joystick (<< 20051019-6) [!s390 !s390x],
   ldm,
   libasound2-plugins,
-  ltsp-client-core,
+  ltsp-client-core (>= ${binary:Version}),
   ltspfsd (>= 1.1),
   netcat-traditional | netcat,
   ntpdate,
